/***
 * Excerpted from "Developing for Apple Watch",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/jkwatch for more book information.
***/
//
//  ViewController.m
//  ActionableNotifications
//
//  Created by Jeff Kelley on 3/30/15.
//  Copyright (c) 2015 Pragmatic Bookshelf. All rights reserved.
//


#import "ViewController.h"


@implementation ViewController

- (IBAction)sendNotificationButtonPressed:(id)sender
{
    UILocalNotification *localNotification = [[UILocalNotification alloc] init];
    localNotification.fireDate = [[NSDate date] dateByAddingTimeInterval:5.0];
    
    localNotification.alertBody = @"Jane has invited you to Launch Party!";
    localNotification.category = @"Invitation";
    
    [[UIApplication sharedApplication] scheduleLocalNotification:localNotification];
}

@end
