/***
 * Excerpted from "Developing for Apple Watch",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/jkwatch for more book information.
***/
//
//  Track.h
//  TapALap
//
//  Created by Jeff Kelley on 5/8/15.
//  Copyright (c) 2015 Pragmatic Bookshelf. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface Track : NSObject

@property (copy, nonatomic) NSString *name;
@property (assign, nonatomic) double lapDistance; // in meters

+ (instancetype)trackWithDictionary:(NSDictionary *)dictionary;

- (instancetype)initWithName:(NSString *)name lapDistance:(double)lapDistance;

- (NSDictionary *)dictionaryRepresentation;

@end
